Page MenuHomePhabricator

Create the wikimania2017 wiki
Closed, ResolvedPublic

Description

Wikimania 2017 is just about announced... We'll be wanting a wiki...

(cf. T85374)

How are the original 'crats handled? (Should be User:Coren and User:Benoit Rochon)

Event Timeline

coren created this task.Dec 21 2015, 5:58 PM
coren raised the priority of this task from to Needs Triage.
coren updated the task description. (Show Details)
coren added a project: Operations.
coren added a subscriber: coren.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 21 2015, 5:58 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 21 2015, 6:03 PM

Has the venue been announced yet?

Change 260431 had a related patch set uploaded (by Dzahn):
add wikimania2017, regular and .m.

https://gerrit.wikimedia.org/r/260431

Change 260431 merged by Dzahn:
add wikimania2017, regular and .m.

https://gerrit.wikimedia.org/r/260431

Dzahn added a subscriber: Dzahn.Dec 21 2015, 8:01 PM

added the DNS entry which is needed as the first step

wikimania2017.wikimedia.org exists now and the wiki installation can go ahead

Krenair claimed this task.Dec 21 2015, 8:02 PM

From the puppet side we'll also need to add wikimania2017 to the wikimania ServerAlias in modules/mediawiki/files/apache/sites/wikimania.conf

Meno25 added a subscriber: Meno25.Dec 21 2015, 8:12 PM

@coren: I assume you should still be mentioned in https://wikitech.wikimedia.org/wiki/Add_a_wiki#Start and that you've taken the necessary steps on the ops side?
Also, please see my question above.

Once the above is dealt with, I think I can begin with the MW parts.

coren added a comment.Dec 21 2015, 9:22 PM

@Krenair: I hereby notify myself. :-) More seriously, that doc should probably be amended as I should no longer be a point of contact starting Jan 1.

I would really prefer we remove both people from it and document exactly which steps need to be taken instead.
Previous question still blocks this.

coren added a comment.Dec 21 2015, 9:26 PM

I can tell you what the Labs side of things is: run maintain-replicas after the database exists to create the views. AFAIK, the prod side involves adding the database to the list that should be replicated, something which I think only Jaime currently knows the secret sauce for.

Have clarified with @coren what the status of this is (there should be an announcement out which I can verify this from before we even have a chance to add the MW config for it), and checked that this is okay with @jcrespo. I'll put the apache part up.

Change 260494 had a related patch set uploaded (by Alex Monk):
mediawiki: Add wikimania2017 to the wikimania apache ServerAlias

https://gerrit.wikimedia.org/r/260494

Change 260494 merged by Dzahn:
mediawiki: Add wikimania2017 to the wikimania apache ServerAlias

https://gerrit.wikimedia.org/r/260494

do you want this -> T96564 for 2017 wiki as well or no?

Change 260514 had a related patch set uploaded (by Dzahn):
add wikimania2017 wiki to InitSettings.php

https://gerrit.wikimedia.org/r/260514

Change 260515 had a related patch set uploaded (by Dzahn):
add wikimania2017 wiki to db lists

https://gerrit.wikimedia.org/r/260515

Logo exists there: https://upload.wikimedia.org/wikipedia/commons/4/4a/Wikimania_Montreal_logo.png
Announcement allowing the switch being thrown pending only on James (F). :-)

Change 260521 had a related patch set uploaded (by Dzahn):
add wikimania2017 logo

https://gerrit.wikimedia.org/r/260521

do you want this -> T96564 for 2017 wiki as well or no?

It seems to make sense, given the (comparatively) low volume of that Wiki. Yes, please.

It seems to make sense, given the (comparatively) low volume of that Wiki. Yes, please.

Ok, amended and squashed this into one change:

https://gerrit.wikimedia.org/r/#/c/260521/

Everything is like wikimania2016 then.

Change 260514 abandoned by Dzahn:
add wikimania2017 wiki to InitSettings.php

Reason:
squashed into https://gerrit.wikimedia.org/r/#/c/260521/

https://gerrit.wikimedia.org/r/260514

Change 260515 abandoned by Dzahn:
add wikimania2017 wiki to db lists

Reason:
squashed into https://gerrit.wikimedia.org/r/#/c/260521/

https://gerrit.wikimedia.org/r/260515

Krenair added a comment.EditedDec 22 2015, 4:54 PM

Great, next step (once the above commit is ready and the deployment calendar has space):

{{#invoke:Deployment schedule|row
|when=2016-01-11 ?
|length=1
|window=Wikimania 2017 wiki creation
|who={{ircnick|Krenair|Alex}}
|what=
[[phabricator:T122062]]:
* Run mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiki en wikimedia wikimania2017wiki wikimania2017.wikimedia.org
* {{gerrit|260521}} - make wikiversions change, merge, pull onto tin
* Run sync-dir dblists; sync-wikiversions; sync-file wmf-config/InitialiseSettings.php; sync-file w/static/images/project-logos/wikimania2017wiki.png
* Run mwscript extensions/WikimediaMaintenance/filebackend/setZoneAccess.php wikimania2017wiki --backend=local-multiwrite
* Run foreachwikiindblist wikidataclient.dblist extensions/Wikidata/extensions/Wikibase/lib/maintenance/populateSitesTable.php --strip-protocols
* Run updateinterwikicache after updating m:Interwiki_map
}}
demon added a subscriber: demon.Dec 23 2015, 4:38 PM

@coren asked me to chime in since holidays and freezing and such. This is fine. {{approved}}

Isn't 2016-01-11 going to be after the freeze? Or are you actually approving it to be done during the freeze?

coren added a comment.Dec 23 2015, 5:32 PM

@Krenair: That's what I asked @demon to okay; we want to be able to do press releases in January so the more time to set the wiki up the better. :-)

Okay, well what day do you think we should do this on then?

coren added a comment.Dec 23 2015, 5:59 PM

We just missed a window, and tomorrow is a "Friday", I think. How does Dec 28 sound to you?

Fine with me

Change 260521 merged by jenkins-bot:
Add wikimania2017.wikimedia.org

https://gerrit.wikimedia.org/r/260521

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptDec 28 2015, 4:11 PM

Production-side filters of private info added and manually checked, this can be added to labs at any time.

Change 261205 had a related patch set uploaded (by Alex Monk):
Commit wikiversions.json and interwiki.cdb changes from wikimania2017wiki creation

https://gerrit.wikimedia.org/r/261205

Change 261205 merged by jenkins-bot:
Commit wikiversions.json and interwiki.cdb changes from wikimania2017wiki creation

https://gerrit.wikimedia.org/r/261205

Change 261206 had a related patch set uploaded (by Alex Monk):
Add RESTBase and labs DNS config for wikimania2017wiki

https://gerrit.wikimedia.org/r/261206

Change 261207 had a related patch set uploaded (by Alex Monk):
Update SiteMatrix, another wiki created

https://gerrit.wikimedia.org/r/261207

Change 261207 merged by jenkins-bot:
Update SiteMatrix, another wiki created

https://gerrit.wikimedia.org/r/261207

Change 261206 merged by Dzahn:
Add RESTBase and labs DNS config for wikimania2017wiki

https://gerrit.wikimedia.org/r/261206

Grind24 added a subscriber: Grind24.Jan 1 2016, 1:52 PM
Meno25 removed a subscriber: Meno25.Jan 6 2016, 12:22 PM